CairoImageSurface::getData
CairoImageSurface::getHeight
CairoImageSurface
PHP Manual

# CairoImageSurface::getFormat

(PECL cairo >= 0.1.0)

CairoImageSurface::getFormat — Get the image format

### Description

public int CairoImageSurface::getFormat ( void )

Retrieves the image format, as one of the CairoFormat defined

### Parameters

This function has no parameters.

### Return Values

One of the CairoFormat enums

### Examples

Example #1 CairoImageSurface::getFormat example

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
var_dump($surface->getFormat()); // 0
$surface2 = new CairoImageSurface(CairoFormat::A8, 50, 50);
var_dump($surface2->getFormat()); // 2
?>`

The above example will output something similar to:

    int(0)
    int(2)

### See Also

- CairoImageSurface::getHeight - Retrieves the height of the CairoImageSurface
- CairoImageSurface::getWidth - Retrieves the width of the CairoImageSurface

CairoImageSurface::getData
CairoImageSurface::getHeight
CairoImageSurface
PHP Manual